## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# AttributeVectorEntry Class Reference

Inheritance diagram for AttributeVectorEntry:

[legend]
Collaboration diagram for AttributeVectorEntry:

[legend]
List of all members.

## Public Types

- typedef XalanVector< XMLCh > XMLChVectorType

## Public Member Functions

- AttributeVectorEntry (const XMLChVectorType &theName, const XMLChVectorType &theValue, const XMLChVectorType &theType, MemoryManagerType &theManager)
- AttributeVectorEntry (const XMLCh *theName, const XMLCh *theValue, const XMLCh *theType, MemoryManagerType &theManager)
- AttributeVectorEntry (MemoryManagerType &theManager)
- virtual ~AttributeVectorEntry ()
- void clear ()

## Static Public Member Functions

- AttributeVectorEntry * create (const XMLCh *theName, const XMLCh *theValue, const XMLCh *theType, MemoryManagerType &theManager)
- const XMLCh * endArray (const XMLCh *data)

## Public Attributes

- XMLChVectorType m_Name
- XMLChVectorType m_Value
- XMLChVectorType m_Type

## Member Typedef Documentation

typedef XalanVector<XMLCh> AttributeVectorEntry::XMLChVectorType

## Constructor & Destructor Documentation

AttributeVectorEntry::AttributeVectorEntry | ( | const XMLChVectorType & | theName,
|  | const XMLChVectorType & | theValue,
|  | const XMLChVectorType & | theType,
|  | MemoryManagerType & | theManager
| ) |

AttributeVectorEntry::AttributeVectorEntry | ( | const XMLCh * | theName,
|  | const XMLCh * | theValue,
|  | const XMLCh * | theType,
|  | MemoryManagerType & | theManager
| ) |

AttributeVectorEntry::AttributeVectorEntry | ( | MemoryManagerType & | theManager | ) |

virtual AttributeVectorEntry::~AttributeVectorEntry | ( |  | ) | `[virtual]`

## Member Function Documentation

void AttributeVectorEntry::clear | ( |  | ) |

| Reimplemented in AttributeVectorEntryExtended.

AttributeVectorEntry* AttributeVectorEntry::create | ( | const XMLCh * | theName,
|  | const XMLCh * | theValue,
|  | const XMLCh * | theType,
|  | MemoryManagerType & | theManager
| ) | `[static]`

const XMLCh* AttributeVectorEntry::endArray | ( | const XMLCh * | data | ) | `[static]`

## Member Data Documentation

XMLChVectorType AttributeVectorEntry::m_Name

XMLChVectorType AttributeVectorEntry::m_Type

XMLChVectorType AttributeVectorEntry::m_Value

The documentation for this class was generated from the following file:

- AttributeVectorEntry.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.